LinkConstants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Interface LinkConstants

All Known Implementing Classes:
  ClientLink, Link, LinkGraphic

    public interface LinkConstants

The LinkConstants object is an interface that describes all the constants that relate directly to the Link object, and that are defined by the Link Protocol. They are kept here in the LinkConstants interface to keep the Link object less cluttered.

Field Summary
`static java.lang.String` | `ACTION_REQUEST_HEADER` Gesture request header.
`static java.lang.String` | `ACTIONS_HEADER` Gesture response header.
`static java.lang.String` | `ARC_HEADER` Arc graphic object header.
`static java.lang.String` | `BITMAP_HEADER` Bitmap graphic object header.
`static java.lang.String` | `CIRCLE_HEADER` Circle graphic object header.
`static java.lang.String` | `CLOSE_LINK_HEADER` Close Link header.
`static java.lang.String` | `ELLIPSE_HEADER` Ellipse graphic object header.
`static java.lang.String` | `END_SECTION` The symbol used to end a section/part of a request/response.
`static java.lang.String` | `END_TOTAL` The symbol used to end a request or response.
`static java.lang.String` | `GRAPHIC_HEADER` Generic graphic object header.
`static java.lang.String` | `GRAPHICS_HEADER` Graphics response header.
`static java.lang.String` | `GRID_HEADER` Grid graphic object header.
`static java.lang.String` | `GUI_HEADER` GUI response header.
`static java.lang.String` | `GUI_REQUEST_HEADER` GUI request header.
`static java.lang.String` | `HUH_HEADER` No Action header.
`static java.lang.String` | `LINE_HEADER` Line graphic object header.
`static float` | `LINK_VERSION` The Link Protocol version.
`static java.lang.String` | `MAP_REQUEST_HEADER` Graphics request header.
`static java.lang.String` | `PING_REQUEST_HEADER` Ping request header.
`static java.lang.String` | `PING_RESPONSE_HEADER` Ping response header
`static java.lang.String` | `POINT_HEADER` Point graphic object header.
`static java.lang.String` | `POLY_HEADER` Poly graphic object header.
`static java.lang.String` | `RASTER_HEADER` Raster graphic object header.
`static java.lang.String` | `RECTANGLE_HEADER` Rectangle graphic object header.
`static java.lang.String` | `SHUTDOWN_HEADER` Header to instruct the other other side to quit.
`static java.lang.String` | `TEXT_HEADER` Text graphic object header.
`static int` | `UNKNOWN` The value used for an unknown or invalid setting.
`static java.lang.String` | `UPDATE_GRAPHICS` Graphics action object header.
`static java.lang.String` | `UPDATE_GUI` GUI action object header.
`static java.lang.String` | `UPDATE_MAP` Map action object header.

Field Detail

### UNKNOWN

    static final int UNKNOWN

  The value used for an unknown or invalid setting.

  See Also:
    Constant Field Values

### END_TOTAL

    static final java.lang.String END_TOTAL

  The symbol used to end a request or response.

  See Also:
    Constant Field Values

### END_SECTION

    static final java.lang.String END_SECTION

  The symbol used to end a section/part of a request/response.

  See Also:
    Constant Field Values

### LINK_VERSION

    static final float LINK_VERSION

  The Link Protocol version. Latest version is 0.6.

  See Also:
    Constant Field Values

### MAP_REQUEST_HEADER

    static final java.lang.String MAP_REQUEST_HEADER

  Graphics request header.

  See Also:
    Constant Field Values

### ACTION_REQUEST_HEADER

    static final java.lang.String ACTION_REQUEST_HEADER

  Gesture request header.

  See Also:
    Constant Field Values

### GUI_REQUEST_HEADER

    static final java.lang.String GUI_REQUEST_HEADER

  GUI request header.

  See Also:
    Constant Field Values

### GRAPHICS_HEADER

    static final java.lang.String GRAPHICS_HEADER

  Graphics response header.

  See Also:
    Constant Field Values

### ACTIONS_HEADER

    static final java.lang.String ACTIONS_HEADER

  Gesture response header.

  See Also:
    Constant Field Values

### GUI_HEADER

    static final java.lang.String GUI_HEADER

  GUI response header.

  See Also:
    Constant Field Values

### CLOSE_LINK_HEADER

    static final java.lang.String CLOSE_LINK_HEADER

  Close Link header.

  See Also:
    Constant Field Values

### HUH_HEADER

    static final java.lang.String HUH_HEADER

  No Action header.

  See Also:
    Constant Field Values

### PING_REQUEST_HEADER

    static final java.lang.String PING_REQUEST_HEADER

  Ping request header.

  See Also:
    Constant Field Values

### PING_RESPONSE_HEADER

    static final java.lang.String PING_RESPONSE_HEADER

  Ping response header

  See Also:
    Constant Field Values

### SHUTDOWN_HEADER

    static final java.lang.String SHUTDOWN_HEADER

  Header to instruct the other other side to quit.

  See Also:
    Constant Field Values

### BITMAP_HEADER

    static final java.lang.String BITMAP_HEADER

  Bitmap graphic object header.

  See Also:
    Constant Field Values

### TEXT_HEADER

    static final java.lang.String TEXT_HEADER

  Text graphic object header.

  See Also:
    Constant Field Values

### POLY_HEADER

    static final java.lang.String POLY_HEADER

  Poly graphic object header.

  See Also:
    Constant Field Values

### LINE_HEADER

    static final java.lang.String LINE_HEADER

  Line graphic object header.

  See Also:
    Constant Field Values

### RECTANGLE_HEADER

    static final java.lang.String RECTANGLE_HEADER

  Rectangle graphic object header.

  See Also:
    Constant Field Values

### CIRCLE_HEADER

    static final java.lang.String CIRCLE_HEADER

  Circle graphic object header.

  See Also:
    Constant Field Values

### RASTER_HEADER

    static final java.lang.String RASTER_HEADER

  Raster graphic object header.

  See Also:
    Constant Field Values

### GRID_HEADER

    static final java.lang.String GRID_HEADER

  Grid graphic object header.

  See Also:
    Constant Field Values

### GRAPHIC_HEADER

    static final java.lang.String GRAPHIC_HEADER

  Generic graphic object header.

  See Also:
    Constant Field Values

### POINT_HEADER

    static final java.lang.String POINT_HEADER

  Point graphic object header.

  See Also:
    Constant Field Values

### ARC_HEADER

    static final java.lang.String ARC_HEADER

  Arc graphic object header.

  See Also:
    Constant Field Values

### ELLIPSE_HEADER

    static final java.lang.String ELLIPSE_HEADER

  Ellipse graphic object header.

  See Also:
    Constant Field Values

### UPDATE_GRAPHICS

    static final java.lang.String UPDATE_GRAPHICS

  Graphics action object header.

  See Also:
    Constant Field Values

### UPDATE_GUI

    static final java.lang.String UPDATE_GUI

  GUI action object header.

  See Also:
    Constant Field Values

### UPDATE_MAP

    static final java.lang.String UPDATE_MAP

  Map action object header.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details